package com.younike.wxpay.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 微信的各种支付类型对应的路径
 */
@AllArgsConstructor
@Getter
public enum TransactionType {

    JSAPI("jsapi"),
    APP("app"),
    H5("h5"),
    NATIVE("native");

    private String value;

}
