package com.younike.wxpay.params;

import lombok.Data;

import java.util.List;

/** 支付回调通知参数解密对象 */
@Data
public class TransactionNotificationParams {

    private String sp_appid;
    private String sp_mchid;
    private String sub_appid;
    private String sub_mchid;
    private String out_trade_no;
    private String transaction_id;
    private String trade_type;
    private String trade_state;
    private String trade_state_desc;
    private String bank_type;
    private String attach;
    private String success_time;
    private Payer payer;
    private Amount amount;
    private SceneInfo scene_info;
    private List<PromotionDetail> promotion_detail;

}
