package com.younike.common.utils;

import java.math.BigDecimal;

public class MoneyUtils {

    public static Integer toCents(BigDecimal yuan){
        return yuan.multiply(BigDecimal.valueOf(100l)).intValue();
    }

    public static BigDecimal fromCents(Integer cents){
        return BigDecimal.valueOf(cents).divide(BigDecimal.valueOf(100l));
    }

}
