package com.younike.wxpay.params;

import lombok.Builder;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/** 下单参数 */
@Data
@Builder
public class CloseParams {

    @NotBlank(message = "商户号不能为空")
    private String mchid;
    private String sp_mchid;
    private String sub_mchid;

}
