package com.younike.wxpay.params;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Builder;
import lombok.Data;

/** APP调起支付的参数 */
@Data
@Builder
public class PayInfo {

    private String appid;

    private String partnerid;

    private String prepayid;

    private String noncestr;

    @JSONField(alternateNames = "package")
    private String packagestr;

    private String timestamp;

    private String sign;

}
