package com.younike.wxpay.responses;

import lombok.Builder;
import lombok.Data;

/**
 * 支付回调通知返回给微信的处理结果
 */
@Data
@Builder
public class NotificationResponse {

    private String code;

    private String message;

    public static NotificationResponse success(){
        return NotificationResponse.builder().code("SUCCESS").message("成功").build();
    }

    public static NotificationResponse fail(String message){
        return NotificationResponse.builder().code("FAIL").message(message).build();
    }

}
