package com.younike.system.domain.vo;

import lombok.Data;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.math.BigDecimal;

@Data
public class MerchantRefundVO {

    @NotNull(message = "订单id不能为空")
    private Long orderId;

    @NotNull(message = "退款金额不能为空")
    private BigDecimal refundMoney;

    private String mome;

    private String refundReason;
}
