package com.younike.system.domain.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author chenpengfei
 */
@Data
public class OrderPaymentVO {
    /** 订单ID */
    private Long orderId;

    /** 店铺可得 */
    private BigDecimal shopAmount;

    /** 追加服务店铺可得 */
    private BigDecimal addShopAmount;

    /** 总支付金额 */
    private BigDecimal totalAmount;

    /** 服务商可得 */
    private BigDecimal recommenderAmount;

    /** 追加服务金额 */
    private BigDecimal addAmount;

    /** 维修/配件费 */
    private BigDecimal maintenanceAmount;

    /** 追加服务推荐人分成 */
    private BigDecimal addRecommenderAmount;

    /** 代理商微信商户号 */
    private String agentWxAccount;

    /** 代理商分账比例 */
    private BigDecimal agentCommissionRate;

    /** 微信订单号 */
    private String transactionId;

    /** 微信订单号(维修配件费) */
    private String manTransactionId;

    /** 微信订单号(追加服务) */
    private String addTransactionId;

    /** 平台分账比例 */
    private BigDecimal commissionRate;

    /** 商户No */
    private String merchantNo;
}
