package com.younike.system.enums;

import com.younike.common.utils.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 优金豆变动类型枚举类
 * @author Dail
 */
@AllArgsConstructor
@Getter
public enum UjdChangeTypeEnum {

    CASH_DEPOSIT_RECHARGE("001", "保证金充值"),
    GOODS_COMMENT_EXPEND("002", "商品评价支出");


    private String code;

    private String desc;

    public static String getDescription(String code) {
        for (UjdChangeTypeEnum item : UjdChangeTypeEnum.values()) {
            if(item.getCode().equals(code)){
                return item.getDesc();
            }
        }
        return StringUtils.EMPTY;
    }
}
